
/**
 * 校验用户输入是否为null
 * @param {Object} inputV
 */
function validateIsNull(inputV){
	if(!inputV||inputV.trim() == ""){
		return true;
	}
	return false;
}
/**
 * 处理联网错误的情况
 * @param {Object} data
 * @param {Object} plus
 */
function handlerNetError(data,plus){
	plus.nativeUI.closeWaiting();
	if(data == 0){
		plus.ui.toast(check_net);
	}else if(data == 500){
		plus.ui.toast("服务器端错误,请稍后再试");
	}
}
function umengStatic(id,label){
	plus.statistic.eventTrig( id, label );
}
/**
 * 如果返回为true，则可以继续处理
 * @param {Object} data
 * @param {Object} plus
 */
function handlerCommonSuccess(data,plus,showLoginTip){
	plus.nativeUI.closeWaiting();
	var result = true;
	if(data['code'] != 1){
		if(data['code'] == 2100){
			if(showLoginTip != null&&showLoginTip != undefined &&!showLoginTip){
			}else{
				plus.ui.toast(data['msg']);
			}
		}else{
			plus.ui.toast(data['msg']);
		}
		result = false;
	}
	try{
		if(data.code == 2100){
			removeLocal(key_userInfo);
			reloadWebviewById("tab_my");
		}
	}catch(e){
	
	}
	return result;
}
/***
 * 邮编验证
 * @param {Object} postcode
 */
function is_postcode(postcode) {  
    if ( postcode == "") {  
        return false;  
    } else {  
    	  var pattern = /^[0-9]{6}$/;
        if (! pattern.test(postcode)) {  
            return false;  
        }  
    }  
    return true;  
}  
/**
 * 判断是否登录
 */
function isLogin(){
	var result = false;
	var userInfo = getLocal(key_userInfo);
	if(userInfo&&userInfo != undefined){
		result = true;
	}
	return result;
}
/**
 * 登录逻辑
 */
function goLoginLogic(){
	mui.toast("请先登录后操作");
}
/**
 * 创建表单页面
 */
function createOrder(goodId,goodType){
	mui.openWindow({
		url: "create_order.html",
		id: "create_order.html",
		extras: {
			goodId: goodId,
			goodType:goodType
		}
	});
}
function listEmpty(list){
	if(list == null||list == undefined||list.length == 0){
		showEmpty(true);
	}else if(list.length>0){
		showEmpty(false);
	}
}
function showEmpty(show){
	if(show){
		ca.id("empty").style.display = "block";
	}else{
		ca.id("empty").style.display = "none";
	}
	
}
/**
 * 处理图片错误
 */
function errorImage(element,errorPath){
	if(errorPath != null&&errorPath != undefined){
	  element.setAttribute("src","images/header_default.png");
	}else{
	  element.setAttribute("src","images/error_img.png");
	}

}
/**
 * 保存信息到本地
 */
function savenLocal(key,data){
	localStorage.setItem(key,data)
}
/**
 * 保存数据到sessionStorage中
 * @param {Object} key
 * @param {Object} data
 */
function saveSessionData(key,data){
	sessionStorage.setItem(key,data);
}
/**
 * 从sessionStorage获取数据
 * @param {Object} key
 */
function getSessionData(key){
	return sessionStorage.getItem(key);
}
/**
 * 获取本地信息
 * @param {Object} key
 */
function getLocal(key){
	return localStorage.getItem(key);
}
/**
 * 删除相关的缓存
 * @param {Object} key
 */
function removeLocal(key){
	localStorage.removeItem(key);
	
}
/**
 * 重新加载webView
 * @param {Object} id
 */
function reloadWebviewById(id){
	if(id != null&&id != undefined){
		var webView = plus.webview.getWebviewById(id);
		if(webView != null&&webView != undefined){
			webView.reload();
		}
	}
}
function hidenFun(element,remove){
	return;
	if(plus.os.name == 'Android'){
		
	}else if(plus.os.name == 'iOS'){
		if(remove != null&&remove != undefined){
			if(remove){
				element.style.display="none";
			}else{
				element.style.visibility="hidden";
			}
		}else{
			element.style.display="none";
		}
	}
}
function validatemobile(mobile,plus){
    if(mobile.length==0){
       plus.ui.toast('请输入手机号码！');
       return false;
    }   
    if(mobile.length!=11){
        plus.ui.toast('请输入有效的手机号码！');
        return false;
    }
    var myreg = /^((13[0-9])|(15[^4])|(18[0-9])|(17[0-8])|(147))\d{8}$/;
    if(!myreg.test(mobile)){
        plus.ui.toast('请输入有效的手机号码！');
        return false;
      }
    return true;
}
function toLogin(){
					mui.openWindow({
					url:"login.html",
					id:"login.html"
					});
			}

//扩展Date的format方法   
    Date.prototype.format = function (format) {  
        var o = {  
            "M+": this.getMonth() + 1,  
            "d+": this.getDate(),  
            "h+": this.getHours(),  
            "m+": this.getMinutes(),  
            "s+": this.getSeconds(),  
            "q+": Math.floor((this.getMonth() + 3) / 3),  
            "S": this.getMilliseconds()  
        }  
        if (/(y+)/.test(format)) {  
            format = format.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));  
        }  
        for (var k in o) {  
            if (new RegExp("(" + k + ")").test(format)) {  
                format = format.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));  
            }  
        }  
        return format;  
    }
    function downloadInfo(){
    	this.id;
    	this.downloadId;
    	this.name;
    	this.filePath;
    }
    /**   
    *转换日期对象为日期字符串   
    * @param date 日期对象   
    * @param isFull 是否为完整的日期数据,   
    *               为true时, 格式如"2000-03-05 01:05:04"   
    *               为false时, 格式如 "2000-03-05"   
    * @return 符合要求的日期字符串   
    */    
    function getSmpFormatDate(date, isFull) {  
        var pattern = "";  
        if (isFull == true || isFull == undefined) {  
            pattern = "yyyy-MM-dd hh:mm:ss";  
        } else {  
            pattern = "yyyy-MM-dd";  
        }  
        return getFormatDate(date, pattern);  
    }  
    /**   
    *转换当前日期对象为日期字符串   
    * @param date 日期对象   
    * @param isFull 是否为完整的日期数据,   
    *               为true时, 格式如"2000-03-05 01:05:04"   
    *               为false时, 格式如 "2000-03-05"   
    * @return 符合要求的日期字符串   
    */    
  
    function getSmpFormatNowDate(isFull) {  
        return getSmpFormatDate(new Date(), isFull);  
    }  
    /**   
    *转换long值为日期字符串   
    * @param l long值   
    * @param isFull 是否为完整的日期数据,   
    *               为true时, 格式如"2000-03-05 01:05:04"   
    *               为false时, 格式如 "2000-03-05"   
    * @return 符合要求的日期字符串   
    */    
  
    function getSmpFormatDateByLong(l, isFull) {  
        return getSmpFormatDate(new Date(l), isFull);  
    }  
    /**   
    *转换long值为日期字符串   
    * @param l long值   
    * @param pattern 格式字符串,例如：yyyy-MM-dd hh:mm:ss   
    * @return 符合要求的日期字符串   
    */    
  
    function getFormatDateByLong(l, pattern) {  
        return getFormatDate(new Date(l), pattern);  
    }  
    /**   
    *转换日期对象为日期字符串   
    * @param l long值   
    * @param pattern 格式字符串,例如：yyyy-MM-dd hh:mm:ss   
    * @return 符合要求的日期字符串   
    */    
    function getFormatDate(date, pattern) {  
        if (date == undefined) {  
            date = new Date();  
        }  
        if (pattern == undefined) {  
            pattern = "yyyy-MM-dd hh:mm:ss";  
        } 
        return date.format(pattern);  
    }  